CMSIS DSP Software Library: arm_cfft_radix4_q15.c File Reference

Functions

# arm_cfft_radix4_q15.c File Reference

`#include "arm_math.h"`

Go to the source code of this file.

## Functions

void | arm_cfft_radix4_q15 (const arm_cfft_radix4_instance_q15 *S, q15_t *pSrc)
void | arm_radix4_butterfly_q15 (q15_t *pSrc16, uint32_t fftLen, q15_t *pCoef16, uint32_t twidCoefModifier)
void | arm_radix4_butterfly_inverse_q15 (q15_t *pSrc16, uint32_t fftLen, q15_t *pCoef16, uint32_t twidCoefModifier)
void | arm_bitreversal_q15 (q15_t *pSrc16, uint32_t fftLen, uint16_t bitRevFactor, uint16_t *pBitRevTab)

## Function Documentation

void arm_radix4_butterfly_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | q15_t * | pCoef16,
|  | uint32_t | twidCoefModifier
| ) |  |

Core function for the Q15 CFFT butterfly process.

end of CFFT_CIFFT group

Parameters:

  [in,out] | *pSrc16 | points to the in-place buffer of Q15 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef16 | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Definition at line 138 of file arm_cfft_radix4_q15.c.

void arm_radix4_butterfly_inverse_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | q15_t * | pCoef16,
|  | uint32_t | twidCoefModifier
| ) |  |

Core function for the Q15 CIFFT butterfly process.

Parameters:

  [in,out] | *pSrc16 | points to the in-place buffer of Q15 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef16 | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Definition at line 1053 of file arm_cfft_radix4_q15.c.

void arm_bitreversal_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

In-place bit reversal function.

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of Q15 data type.
  [in] | fftLen | length of the FFT.
  [in] | bitRevFactor | bit reversal modifier that supports different size FFTs with the same bit reversal table
  [in] | *pBitRevTab | points to bit reversal table.

Returns:
  none.

Definition at line 1906 of file arm_cfft_radix4_q15.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines